
%container {
  margin-left : auto;
  margin-right : auto;
  width : 90%;
  max-width : 768px;
}

// * Selector Groups -----------------------------------------------------------
$heading-selectors     : "h1, h2, h3, h4, h5, h6";
$button-selectors      : "button, .button, [type=button], [type=submit], [type=reset]";
$everything            : "*, *::before, *::after";
$page-region-selectors : "[role=navigation], [role=banner], [role=main], [role=contentinfo]";

// * Page Region References ----------------------------------------------------
$page-region--nav      : "[role=navigation]";
$navbar-list           : "[role=navigation] > ul";
$page-region--header   : "[role=banner]";
$page-region--main     : "[role=main]";
$page-region--footer   : "[role=contentinfo]";

// * Container / Wrapper Elements (max-width, auto L/R margins) ----------------
$container-wrappers    : "[role=banner] > hgroup, [role=main] > *";

// * Page Regions Styles -------------------------------------------------------
#{$page-region-selectors} {
  min-width : 100vw;
  position  : relative;
  width     : 100%;
}
#{$container-wrappers} {
  @extend %container;
}
#{$page-region--main} {
  flex-grow : 1;
  padding   : 1em 0;

  section, article {
    margin-bottom : 2em;
    padding       : 1em 0;
  }
}
#{$page-region--footer} {
  margin     : 0;
  padding    : 2em 0;
  text-align : center;

  p {
    color       : gray;
    font-size   : small;
    font-weight : 600;
    line-height : 1 !important;
    margin      : 0 auto;
    padding     : 0;
  }
}
#{$page-region--header} {
  padding : 2em 0;

  hgroup {
    h1, h2, h3, h4, h5, h6, p {
      line-height : 1.25;
      margin      : .5rem 0;
      padding     : 0;
    }
  }
}

// * Colors --------------------------------------------------------------------
$primary-color: $action-color;
$secondary-color: #343434;
$default-button-color: #dcdcdc;

// * Custom Focus Styles -------------------------------------------------------
$custom-focus-fx: 0 0 0 3px rgba($action-color, 0.3);
